Subject: [alpine-aports] [PATCH] testing/diakonos: move from testing/diakonos-git

From: Sören Tempel <[email-masked]>
Date: Fri, 12 Feb 2016 21:17:46 +0100

Also (as the package rename suggests) don't build it from git but
instead use the provided tarball.
---
 testing/diakonos-git/APKBUILD | 33 ---------------------------------
 testing/diakonos/APKBUILD     | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 33 deletions(-)
 delete mode 100644 testing/diakonos-git/APKBUILD
 create mode 100644 testing/diakonos/APKBUILD

diff --git a/testing/diakonos-git/APKBUILD b/testing/diakonos-git/APKBUILD
deleted file mode 100644
index 12be894..0000000
--- a/testing/diakonos-git/APKBUILD
+++ /dev/null
@@ -1,33 +0,0 @@
-# Contributor: Francesco Colista <[email-masked]>
-# Maintainer: Francesco Colista <[email-masked]>
-pkgname=diakonos-git
-_pkgname=diakonos
-pkgver=0_git20131204
-pkgrel=0
-pkgdesc="A Linux editor for the masses"
-url="http://diakonos.pist0s.ca/download/"
-arch="noarch"
-license="MIT"
-depends="ruby"
-depends_dev=""
-makedepends=""
-subpackages="$pkgname-doc"
-source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz"
-_builddir="$srcdir"/$pkgname-$pkgver
-giturl="git://github.com/Pistos/${_pkgname}.git"
-disturl=dev.alpinelinux.org:/archive/$_pkgname/
-
-build() {
-	cd "$_builddir"
-	return 0
-}
-
-package() {
-	cd "$_builddir"
-	ruby install.rb --dest-dir $pkgdir --prefix /usr --lib-dir /usr/lib --conf-dir /etc
-	install -D -m644 LICENCE $pkgdir/usr/share/licenses/diakonos/MIT
-}
-
-md5sums="937d44952d4a843d47ebc4114a4bca14  diakonos-git-0_git20131204.tar.gz"
-sha256sums="c4feb6654238c6880af85f6d9568cb41d78f86be4f4d007c58e3c6a961cf02ca  diakonos-git-0_git20131204.tar.gz"
-sha512sums="a636447bab9752971b0e6d5a82d6ca57eb45b291bf3f8715c751d4e83a3e6baadac9c2d15464ad75d679be8a7937ef0bc64ae25d0b883ac4da43e1e5a447910d  diakonos-git-0_git20131204.tar.gz"
diff --git a/testing/diakonos/APKBUILD b/testing/diakonos/APKBUILD
new file mode 100644
index 0000000..35a2871
--- /dev/null
+++ b/testing/diakonos/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Contributor: Francesco Colista <[email-masked]>
+# Maintainer: Francesco Colista <[email-masked]>
+pkgname=diakonos
+replaces="diakonos-git"
+pkgver=0.9.4
+pkgrel=0
+pkgdesc="A Linux editor for the masses"
+url="http://diakonos.pist0s.ca/download/"
+arch="noarch"
+license="MIT"
+depends="ruby"
+depends_dev=""
+makedepends=""
+subpackages="$pkgname-doc"
+source="http://diakonos.pist0s.ca/archives/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	return 0
+}
+
+package() {
+	cd "$_builddir"
+	ruby install.rb --dest-dir $pkgdir \
+		--prefix /usr \
+		--lib-dir /usr/lib \
+		--conf-dir /etc || return 1
+}
+
+md5sums="13cb28073bcd5e4ccf278fedaca829a4  diakonos-0.9.4.tar.bz2"
+sha256sums="9da8d3846c15f2568a77431bb5fe9ee76a890c982cebb745050f2e864d7916d0  diakonos-0.9.4.tar.bz2"
+sha512sums="8aab6173c40b9a182853977ed7631c391a10d3339918fa96866da8c9fa8e36e40f1c5093465c734a9ce36a69c5d994d6b2d1c0306f1e57bff708fd7a64a62db7  diakonos-0.9.4.tar.bz2"
-- 
2.7.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---